// Technische Richtlinie FA205 
// Bibliothek:       Controller.h
// Version:          1.0
// erstellt am:      30.9.2015
// letzte nderung:  09.10.2015
// Autor:            Rahm

#ifndef _CONTROLLER_H_
#define _CONTROLLER_H_

// Controllerspezifische Registerdefinitionen
#include "at89c5131.h"

// F_CPU beeinflusst timer1ms, delay, rs232, pwm
//#define F_CPU 24000000UL //Hz
#define F_CPU 12000000UL //Hz //geaendert NeumaierGew-TechnSchule Offenburg


// Technische Richtlinie FA205 Datentyp-Definitionen
typedef unsigned char uint8_t;
typedef unsigned int  uint16_t;
typedef unsigned long uint32_t;

typedef signed   char int8_t;
typedef signed   int  int16_t;
typedef signed   long int32_t;

// Technische Richtlinie FA205 Bibliotheken
#include "communication.h"
#include "in_out.h"
#include "interrupt.h"
#include "lcd.h"
#include "delay.h"

#endif