// Technische Richtlinie FA205 
// Bibliothek:       interrupt.h
// Version:          1.0
// erstellt am:      30.9.2015
// letzte nderung:  01.02.2016
// Autor:            Rahm

#ifndef _INTERRUPT_H_
#define _INTERRUPT_H_

#include "controller.h"

#define _EXT_INT0_     // externer Interrupt 0 oder 1

// Funktionsprototypen fr externen Interrupt
extern void ext_interrupt_init    ( void (*ip) (void));
extern void ext_interrupt_enable  ( void );
extern void ext_interrupt_disable ( void );
extern void ext_interrupt_isr     ( void );


// Funktionsprototypen fr timer1ms
extern void timer1ms_init         ( void (*ti) (void) );
extern void timer1ms_enable       ( void );
extern void timer1ms_disable      ( void );
extern void timer1ms_isr          ( void );
#endif