// Technische Richtlinie FA205 
// Bibliothek:       delay.c
// Controller:       alle 8051 (at89c5131)
//     Software Wartezeiten
// Version:          1.0
// erstellt am:      28.10.2014
// letzte nderung:  26.10.2015
// Autor:            Rahm

#include "delay.h"

void delay_100us (uint8_t n)	
{
	volatile uint8_t z;
	for (;n != 0;--n)
		for (z = _T_CONST_; 	z!= 0; 	--z);
}

void delay_ms( uint16_t millisekunden)
{
	volatile uint16_t n = 0;
	
	while(n < millisekunden)
	{
		delay_100us(10);
		n++;
	}
}

//void delay_s(uint16_t sekunden)
//{
//	volatile uint16_t n = 0;
//	
//	while(n < sekunden)
//	{
//		delay_ms(1000);
//		n++;
//	}
//}
