/********************************************************************************
|  CLASS:     	8051er
|  Compiler:	Keil uV3 
|  PROGRAM:    	Begin_C_TestPort.c   
|  AUTHOR:     	Gerhard Neumaier
|  DATE:       	15.Okt. 2010
|  DESCRIPTION: 8bit am Port3 einlesen(z.B. mit 8xSchalter)und am Port2 ausgeben an 8x LEDs
|
|  REQUIREMENTS:  8051er, z.B. ATMEL89C5131 oder jeder andere 8051er
|  NOTES:         Ein komplettes Programm, keine Aenderungen notwendig
	Aufgaben: 		Aendern der Datenrichtung
********************************************************************************/

#include <at89c5131.h>	 //Controllerspezifische Definitionen sind in der Datei hinterlegt

#define Ein P3  //Der Variablen Ein wird der Port P3 zugewiesen
#define Aus P2	//Der Variablen Aus wird der Port P2 zugewiesen
#define Ein1 P1  //Der Variablen Ein wird der Port P1 zugewiesen
#define Aus1 P0	//Der Variablen Aus wird der Port P0 zugewiesen
void init (void)   //Eine Funktion, in etwa ein Unterprogramm, "init" wird angelegt
{
	//Hier keine Anweisung notwendig
}
void main(void)
{
	init();
	while(1)			// Endlosschleife
	{
	Aus = Ein;		//Aus erhaelt den Wert von Ein
   	Aus1 = Ein1;		//Aus erhaelt den Wert von Ein
	}			
}		//Ende main


/* Quellcode aus Struktogramm im Ordner Struktorizer

program PORT EIN UND AUS_V2;
#include <stdio.h>

int main(void)
{
	// declare your variables here
	
	while (true)
	{
		Aus=Ein;
	}
}				 */
