/********************************************************************************
|  CLASS:     	8051er
|  Compiler:	KeiluV3      
|  PROGRAM:    	Blink_a1.c   
|  AUTHOR:     	Gerhard Neumaier
|  DATE:       	15. Okt.2010  ;Jan2017 auf FA205
|  DESCRIPTION: Erster Versuch, eine LED am Port2 Pin0 zum Blinken zu bringen
|				Lsung Blinken Pin2_0 mit technischen Richtlinien
|  REQUIREMENTS:  8051er z.B. 89C5131
|  NOTES:         Ein komplettes Programm, keine Aenderungen notwendig
   Aufgaben: 	  Portpin ndern, Geschwindigkeit Blinkfrequenz ndern
       !!!Lsung fr FA205
********************************************************************************/

#include "controller.h"
//#define Pin_Blink P2_0  //Der Variablen Pin_Blink wird der Port2 bit0 zugewiesen
int16_t i=0;   //wird nicht benoetigt
//int i=0;	//Die Variable i wird als 16bit wert definiert->Bereich -32768 bis+3276

void setup (void)   //Eine Funktion mit dem Namen init wird angelegt
{
	  bit_init(PORT2,0,OUT);   // FA205 LED	P2_0
}
void main(void)
{
	setup();	//Die Funktion init wird aufgerufen
	while(1)			// Endlosschleife
	{
		bit_write(PORT2,0,1);       // P2.0 = 1
		//Pin_Blink = 1;           // Set Portpin
	   delay_ms(400);	//FA205
		bit_write(PORT2,0,0);       // P2.0 = 0
		//Pin_Blink = 0;                // Clear Portpin
	   delay_ms(300);	//FA205
	}	//Ende while(1)
}		//Ende main



