/********************************************************************************
|  CLASS:     	8051er
|  Compiler:	KeiluV3 
|  PROGRAM:    	Begin_C_Blink_A2.c   
|  AUTHOR:     	Gerhard Neumaier
|  DATE:       	15.Okt2010
|  DESCRIPTION: Eine LED am Port2 Pin0 zum Blinken zu bringen
|
|  REQUIREMENTS:  8o51er z.B 89C5131
|  NOTES:         Ein komplettes Programm, keine Aenderungen notwendig
	Aufgaben: Aendern der Portpins, Aenderung der Geschwindigkeit
********************************************************************************/

#include <at89c5131.h>


#define Pin_Blink P2_0  //Der Variablen Pin_Blink wird der Port2 bit0 zugewiesen
int i=0;
void init (void)   //Eine Funktion mit dem Namen init wird angelegt
{
  //keine Anweisung notwendig
}

void zeit(void)	//Funktion zeit
{
	while(i<= 30000)   // Delay
	{
	i = i+1;
	}
	i = 0;
}

void main(void)
{
	init();				//Funktion init aufrufen
	while(1)			// Endlosschleife
	{
		Pin_Blink = 1;           // Set PORTC bit 0 -> Bit0 im Register PORTC
		zeit();				//Aufruf Funktion zeit  Delay
		Pin_Blink = 0;           // Clear PORTC bit 0
		zeit();				//Aufruf Funktion zeit  Delay
	}	//Ende while(1)
}		//Ende main



