/*******************************************************************************
|  CLASS:       8051er
|  Compiler:  KeiluV3      
|  PROGRAM:     Blink_a1.c   
|  AUTHOR:      Gerhard Neumaier
|  DATE:        15. Okt.2010  ;Jan2017 auf FA205
|  DESCRIPTION: Erster Versuch, eine LED am Port2 Pin0 zum Blinken zu bringen
|       Lsung Blinken Pin2_0 mit technischen Richtlinien
    Blinken umgearbeitet auf Modellbauservo. Impulspause 20msec
    Impulsdauer 1 bis 2 msec.   1,5msec ist Mittelstellung
|  REQUIREMENTS:  8051er z.B. 89C5131
|  NOTES:         Ein komplettes Programm, keine Aenderungen notwendig
   Aufgaben:    Portpin ndern, 
       !!!Lsung fr FA205
****************************************************************************/
#include "controller.h"
#define Servoport   PORT1      //Arduino:  _PORTB_
#define Servopin   0
#define digital8_in   PORT2    //Arduino: _PORTD_

uint8_t x=0,y;   
void setup (void)   //Eine Funktion mit dem Namen init wird angelegt
{
    bit_init(Servoport,Servopin,OUT);   // FA205 Modellbau-Servo P2_0
 //   byte_init(digital8_in,IN);  //8Schalter
   adc_init();
}

  void main()   // Endlosschleife
  {
   setup();
	 while(1)
	 {
  bit_write(Servoport,Servopin,0);       //  PORTB Pin0 ARDUINO Nr8
  delay_ms(20); //FA205
  bit_write(Servoport,Servopin,1);       // PORTB Pin0 ARDUINO Nr8
 // x=byte_read(digital8_in); 
  x = adc_in1();  // Analogwert holen 0 bis 255
  y=(x/25)+10;     //10 bis 35
  if(x<10)
  { x=10;               //Bereich zwischen 10 und 20
  }
  if(x>20)
  { x=20;
  }
  delay_100us(x); //  Ausgabeimpuls 1msec bis 2msec 
  } //Ende while(1)
}//Ende main


  

