/********************************************************************************
|  CLASS:     	8051er
|  Compiler:	KeiluV3      
|  PROGRAM:    	Blink_a1.c   
|  AUTHOR:     	Gerhard Neumaier
|  DATE:       	15. Okt.2010
|  DESCRIPTION: Erster Versuch, eine LED am Port2 Pin0 zum Blinken zu bringen
|
|  REQUIREMENTS:  8051er z.B. 89C5131
|  NOTES:         Ein komplettes Programm, keine Aenderungen notwendig
   Aufgaben: 	  Portpin ndern, Geschwindigkeit Blinkfrequenz ndern
********************************************************************************/

#include <at89c5131.h>
#define Pin_Blink P2_0  //Der Variablen Pin_Blink wird der Port2 bit0 zugewiesen
int i=0;	//Die Variable i wird als 16bit wert definiert->Bereich -32768 bis+3276

void init (void)   //Eine Funktion mit dem Namen init wird angelegt
{
	//keine Anweisung notwendig
}
void main(void)
{
	init();	//Die Funktion init wird aufgerufen
	while(1)			// Endlosschleife
	{
		Pin_Blink = 1;           // Set Portpin
		while(i<= 30000)   // Delay mit while Schleife
		{					//Solange i kleiner-gleich 30000
		i = i+1;			//i um 1 erhhen (i++)
		}
		i = 0;
		Pin_Blink = 0;                // Clear Portpin
		for(i=0;i<32767;i++)   // Delay mit for Schleife
		{
			//i wird automatisch bis auf 32766 erhht
		}
		i = 0;
	}	//Ende while(1)
}		//Ende main



/*Quellcode aus Struktogramm siehe Ordner Structorizer
program BLINK_PIN;
#include <stdio.h>

int main(void)
{
	// declare your variables here
	
	while (true)
	{
		Pin_Blink=1;
		while (i<=30000) 
		{
			i=i+1;
		}
		i=0;
		Pin_Blink=0;
		for (i = 0; i <= 32767; i = i + (1) ) {
		}
	}
}
						  */

