/* 
  Beschreibung:     Testprogramm zur Umsetzung der Technischen Richtlinie FA205 fr 8051
                    Beispiel fr LCD
								
  Autor:            Rolf Rahm
  Datum:            17.02.2015
  Letzte nderung:  24.12.2016	G. Neumaier
  lcd.h :Pinbelegung auf Miniboard gendert passend zu LCDHardware Offenburg
*/
#include "controller.h"


void setup (void)
{
  /* Initialisierungen */
  lcd_init();
  
  lcd_clear();
  lcd_setcursor(1,1);	//linie spalte   column row
  lcd_print("LCD Test GewTS OG");  //Ausgabe Text
}

// Funktion main()
int main(void)
{
  uint8_t a = 0;
  uint16_t b = 0;

  setup();

  while(1)
  {
    lcd_setcursor(2,1);
    lcd_byte(a);		//erscheint als Zahl 0..255
    lcd_print(" -> ");   
    lcd_char(a);	 //ASCII-Zeichen z.B. 0x31=49 ergibt 1
    delay_ms(1000);
	a++;
  }
}