/********************************************************************************
|  CLASS:     	8051er
|  Compiler:	KeiluV3      
|  PROGRAM:    	Blink_a1.c   
|  AUTHOR:     	Gerhard Neumaier
|  DATE:       	15. Okt.2010  ;Jan2017 auf FA205
|  DESCRIPTION: Erster Versuch, eine LED am Port2 Pin0 zum Blinken zu bringen
|				Lsung Blinken Pin2_0 mit technischen Richtlinien
				Blinken umgearbeitet auf Modellbauservo. Impulspause 20msec
				Impulsdauer 1 bis 2 msec.   1,5msec ist Mittelstellung
|  REQUIREMENTS:  8051er z.B. 89C5131
|  NOTES:         Ein komplettes Programm, keine Aenderungen notwendig
   Aufgaben: 	  Portpin ndern, 
       !!!Lsung fr FA205
********************************************************************************/

#include "controller.h"

uint8_t x=0;   //wird nicht benoetigt


void setup (void)   //Eine Funktion mit dem Namen init wird angelegt
{
	  bit_init(PORT2,0,OUT);   // FA205 Modellbau-Servo	P2_0
	  byte_init(PORT1,IN);  //8Schalter
}
void main(void)
{
	setup();	//Die Funktion init wird aufgerufen
	while(1)			// Endlosschleife
	{
	bit_write(PORT2,0,0);       // P2.0 = 0
	delay_ms(20);	//FA205
	bit_write(PORT2,0,1);       // P2.0 = 1
	x=byte_read(PORT1);  //Bereich zwischen 10 und 20
	if(x<10)
	{	x=10;
	}
	if(x>20)
	{	x=20;
	}
	delay_100us(x);	//  Ausgabeimpuls 1msec bis 2msec 
	}	//Ende while(1)
}		//Ende main



