/********************************************************************************
|  CLASS:     	8051er
|  Compiler:	KeiluV3      
|  PROGRAM:    	Lauflicht_A2.c   
|  AUTHOR:     	Gerhard Neumaier
|  DATE:       	15. Okt.2010
|  DESCRIPTION: Ein Lauflicht. Jeweils ein pin nach dem nchsten wird eingeschaltet
|
|  REQUIREMENTS:  8051er z.B. 89C5131
|  NOTES:         Ein komplettes Programm, keine Aenderungen notwendig
		  ****!!ohne!! INCLUDE Datei*****
   Aufgaben: 	  Port ndern, Geschwindigkeit Lauflicht ndern
		  Lauflicht soll immer beim Pin 0 beginnen
********************************************************************************/

//******Hier werden die Register und Bits definiert:**************

sfr Port_aus = 0x80;		//SFR (Special Funktion Register) Adresse Port 0 = 80h
	//Variable Port_aus wird an Port0 (hat die interne Adr. 80h) angebunden
	//Normalerweise sind diese Festlegungen in der include-Datei getroffen

	unsigned char j; 	//8 bit Variable 0...255
  void wait();
//**************Ende der Definitionen***********************

void main (void)		//Beginn Hauptprogramm
{
  j=1;
    while (1) 			 				//Beginn Endlosschleife
   {                        
     Port_aus = j;     //Darstellung Ergebnis am Port          

    if(j==128) 		
	{   								
   	j = 1;                         	
 	}
	j=j*2;		//x2 entspricht im Dualsystem links rotieren 
	 
	 		//Problem: Lauflicht beginnt nicht mehr mit 1, sondern mit 2
 	wait;
 	
  }		//Ende WHILE-Schleife
}		//Ende MAIN-Programm

void wait()
	   
{	 unsigned int i;    	//16 bit Variable 0...65536
   	for (i = 0; i< 20000; i++)  	// Delay for 20000 Counts 
	{}
}

     
