/********************************************************************************
|  CLASS:     	8051er
|  Compiler:	KeiluV3      
|  PROGRAM:    	Lauflicht_array1.c   
|  AUTHOR:     	Gerhard Neumaier
|  DATE:       	15. Okt.2010
|  DESCRIPTION: Ein Lauflicht. Jeweils ein pin nach dem nchsten wird eingeschaltet
|
|  REQUIREMENTS:  8051er z.B. 89C5131
|  NOTES:         Ein komplettes Programm, keine Aenderungen notwendig
		  ****!!ohne!! INCLUDE Datei*****
   Aufgaben: 	  Port ndern, Geschwindigkeit Lauflicht ndern
		          Bei dem Lauflicht sollen immer 2 LEDs leuchten 
********************************************************************************/

//******Hier werden die Register und Bits definiert:**************
//!!keine include-Datei Variable mssen den internen Registern (SFR) selbst zugeordnet werden

sfr P0 = 0x80;		//SFR (Special Funktion Register) Adresse Port0 = 80h
#define Port P0
//code unsigned char   index[] = {0x01, 0x02, 0x04, 0x08, 0x10, 0x20, 0x40, 0x80};	//Lauflicht
//hier die bessere Version wie unten in main. Durch die Anweisung code ist die Tabelle im Programmspeicher
//**************Ende der Definitionen***********************
void wait ();	
unsigned char index[8];		//Bekanntgabe Indexbereich Speicherplatz jeweils ein Byte
unsigned char i,j,jj;	//Definition der benutzten Variablen 8bit ohne Vorzeichen somit 0...255
		
void main (void)	// Hauptprogramm *****Muss immer vorhanden sein*****************
{
	index[0]=0x01;		//Variablendefinition: Hier werden die Variablen per Programm auf 
	index[1]=0x02;		 // die Speicherpltze im RAM geschrieben.
	index[2]=0x04;		 //Tabellen, die sich nicht ndern schreibt man besser in den 
	index[3]=0x08;		 //Code (Programmspeicher)
	index[4]=0x10;
	index[5]=0x20;
	index[6]=0x40;
	index[7]=0x80;
												
	while (1)	// Endlosschleife, jeder uC arbeitet ohne Ende, also Endlosschleife				
			//Die Bedingung while (1) ist naemlich immer erfuellt
	{

		Port = index[i]; 	//Ausgabe an  Port0
 		wait();
		i=i+1;
		if(i==8)
		{
		i=0;
		}
	}
}

void wait ()
{
 	for (j = 200  ; j != 0; j--)		//Zeitschleife	
	{	   	for (jj = 123; jj != 0; jj--)		//Zeitschleife	
	{
	} 
	} 
}

		
 
