/********************************************************************************
|  CLASS:     	8051er
|  Compiler:	KeiluV3      
|  PROGRAM:    	Lauflicht_array2.c   
|  AUTHOR:     	Gerhard Neumaier
|  DATE:       	15. Okt.2010
|  DESCRIPTION: Ein Lauflicht. Jeweils ein pin nach dem nchsten wird eingeschaltet
|
|  REQUIREMENTS:  8051er z.B. 89C5131
|  NOTES:         Ein komplettes Programm, keine Aenderungen notwendig
   Aufgaben: 	  Port ndern, Geschwindigkeit Lauflicht ndern
		          Bei dem Lauflicht sollen immer 2 LEDs leuchten 
********************************************************************************/

//******Hier werden die Register und Bits definiert:**************
#include <at89c5131.h>
#define Port P0
code unsigned char   index[] = {0x01, 0x02, 0x04, 0x08, 0x10, 0x20, 0x40, 0x80};	//Lauflicht
//Durch die Anweisung code ist die Tabelle im Programmspeicher
	int i,j;	//Definition der benutzten Variablen int= min +32768 bis max 32767 (16 bit)
//**************Ende der Definitionen***********************
void wait1ms(int ms1);	//Bekanntgabe Funktion nach der main-Funktion hier in externer Datei
void init()	  //Funktion fr uC spezielle Anweisungen
{
//nichts zu tun
}
		
void main (void)	// Hauptprogramm *****Muss immer vorhanden sein*****************
{ 
	init();											
	while (1)	// Endlosschleife, jeder uC arbeitet ohne Ende, also Endlosschleife				
			//Die Bedingung while (1) ist naemlich immer erfuellt
	{

		Port = index[i]; 	//Ausgabe an  Port0
 		wait1ms(300); //Funktionsaufruf mit bergabewert, hier 300
		i=i+1;
		if(i==8)
		{
		i=0;
		}
	}
}


	void wait1ms(int ms1)		//Zeitschleife ca 1 msec  12 MHz Quarz

{	unsigned int z, zz;		//  0...65535
	for( z = 0; z<= ms1; z++ )
	{ 
	for( zz = 0; zz< 123; zz++)	// Zeitverzgerung	verschachtelt fuer laengere Zeiten
	{;} 
	}
}		
 
