/********************************************************************************
|  CLASS:     	P8051er
|  Compiler:	KeiluV3 
|  PROGRAM:    	Begin_C_Blink_A3.c   
|  AUTHOR:     	Gerhard Neumaier
|  DATE:       	15.Okt 2010
|  DESCRIPTION: Eine LED am Port2 Pin0 zum Blinken zu bringen
|
|  REQUIREMENTS:  8051er z.B. ATMEL89C5131
|  NOTES:         Ein komplettes Programm, keine Aenderungen notwendig
	Aufgaben: Aendern der Portpins, Aenderung der Geschwindigkeit
********************************************************************************/

#include <at89c5131.h>

#define Pin_Blink P2_0  //Der Variablen Pin_Blink wird der Port2 bit0 zugewiesen

unsigned int i=0;  //i 16bit pos Zahlenbereich 0..65535

void init (void)   //Eine Funktion mit dem Namen init wird angelegt
{
//nichts zu tun
}

void zeit(unsigned int verzoegerung);	//Funktion zeit() dem Compiler bekanntgeben
					//weil die Funktion nach der main-Funktion steht
				//Die Funktion Zeit hat hier einen bergabewert "verzoegerung"
void main(void)
{
	init();
	while(1)			// Endlosschleife
	{
		Pin_Blink = 1;           		// Set PORTpin  
		zeit(60000);			//Aufruf Funktion zeit  Delay bergabe hier 60000
		Pin_Blink = 0;                // Clear PORTpin 
		zeit(30000);			//Aufruf Funktion zeit  Delay bergabe hier 30000
	}			
}		//Ende main

//Funktion zeit() zur Zeitverzgerung (Softwarezeitschleife)
void zeit(unsigned int verzoegerung)	     //Funktion zeit
{
	for(i=0;i<verzoegerung;i++)
	{
	//keine Anweisung notwendig
	}
}
