/* 
  Beschreibung:     Testprogramm zur Umsetzung der Technischen Richtlinie FA205 fr 8051
                    Beispiel fr LCD
								
  Autor:            G. Neumaier		  Proj: LCD_Test2
  Datum:            24.12.2016
  Letzte nderung:  24.12.2016	G. Neumaier
  lcd.h :Pinbelegung auf Miniboard gendert passend zu LCDHardware Offenburg
*/
#include "controller.h"


//Variablendeclaration global:
code unsigned char text1 [] = "LCD Test GTS OG";	//Array mit Text
	//mit dem Vorsatz code wird das array nicht im internen RAM (ziemlich klein)
	//sondern im Code Speicher(FLASH) untergebracht
unsigned char text2 [16];	   //Array anlegen

void setup (void)
{
  /* Initialisierungen */
  lcd_init(); 
  lcd_clear();
}

// Funktion main()
int main(void)
{
  setup();
  	text2[0]='N';	// Buchstabe in ASCIICode
	text2[1]='e';	//Array beschreiben
	text2[2]='u';
	text2[3]='m';
	text2[4]='a';
	text2[5]='i';
	text2[6]='e';		
	text2[7]='r';
	text2[8]=' ';
	text2[9]=48;	// hier erscheint auf dem Display eine 0   ASCII Tabelle!	
	text2[10]=49;	// hier erscheint auf dem Display eine 1
	text2[11]='\0';		  //Wichtig: Der Abschluss des Arrays buf muss eine 0 sein keine ASCII '0'
				// -> 0terminierter String   Der Treiber gibt so lange zeichen aus bis eine 0 kommt=false
  while(1)
  {
	   //Ausgabe auf LCDisplay
	   lcd_setcursor(1,1);	//linie spalte   column row
	   lcd_print(text1); 

	   lcd_setcursor(2,1);	//linie spalte   column row
	   lcd_print(text2);


  }
}