/********************************************************************************
|  CLASS:     	8051er
|  Compiler:	KeiluV3      
|  PROGRAM:    	Lauflicht_A1.c   
|  AUTHOR:     	Gerhard Neumaier
|  DATE:       	15. Okt.2010
|  DESCRIPTION: Ein Lauflicht. Jeweils ein pin nach dem nchsten wird eingeschaltet
|
|  REQUIREMENTS:  8051er z.B. 89C5131
|  NOTES:         Ein komplettes Programm, keine Aenderungen notwendig
		  ****!!ohne!! INCLUDE Datei*****
   Aufgaben: 	  Port ndern, Geschwindigkeit Lauflicht ndern
		  Bei dem Lauflicht sollen immer 2 LEDs leuchten 
********************************************************************************/

//******Hier werden die Register und Bits definiert:**************
//!!keine include Datei: Variable mssen den internen Registern selbst zugeordnet werden
sfr Port_aus = 0x80;		//SFR (Special Funktion Register) Adresse Port 0 = 80h
	//Variable Port_aus wird an Port0 (hat die interne Adr. 80h) angebunden
	//Normalerweise sind diese Festlegungen in der include-Datei getroffen
void init()
{
	//nichtszu tun
}
	unsigned char j; 	//8 bit Variable 0...255
  	unsigned int i;    	//16 bit Variable 0...65536

	void warten ();		//Funktion unter der main-Funktion muss hier bekanntgegeben werden
//**************Ende der Definitionen***********************

void main (void)	//Beginn Hauptprogramm
{
  init();   //Funktion mit uC typischen Anweisungen
  j=1;

  while (1) 		//Beginn Endlosschleife
   {                        
 
    Port_aus = j;	   
 	j<<=1;		   //nach links um 1 verschieben
	if (j==0x00)   //Wert aus der Variable hinausgeschoben, dann j=0
	{
	j=0x01;
	}		
	warten();
   }				//Ende WHILE-Schleife
}				//Ende MAIN-Programm



void warten () 		// wait function 
{                
   for (i = 0; i < 30000; i++){;}    // Delay for 30000 Counts  ca.0,15 sec bei 12 MHz Quarz         
}
    
