/* lcdtest.c ******************************************************************************
 * 					Tests zur Ausgabe an das LCD-Display                                                                                                            *
 ******************************************************************************************
 *			zum Projekt gehrt die Datei lcd_Help.c 
  			Fertige Lsung fr eine Uhr auf LCDisplay

 ***********************************Gewerbliche Schulen Offenburg***********/
#include <AT898252.H>

#include <stdio.h>	//wird fr sprintf bentigt													

void initlcd (void);				
void loeschenlcd (void);
void textlcd (unsigned char *text,unsigned char zeile);	
 
//void seg7 (unsigned char dualzahl, unsigned char dualzahl1, unsigned char dualzahl2 );	
 
unsigned char einer =0, zehner =0, hundert = 0,gesamt=0, sec, std, min, count;
unsigned char einer1 =0, zehner1 =0, hundert1 = 0;
unsigned char einer2 =0, zehner2 =0, hundert2 = 0;
unsigned char buf [20] ;

 void setup(void)
 {
 	TL0 = 0xAF;		//Nachladewert 15535 in Timerregister 0 schreiben.
	TH0 = 0x3C;		//Ergibt 50msec bis Ueberlauf bei Quarz 12 MHz
	TMOD = 0x01;	//Timer0 im Modus2 16bit Zaehler
	TCON = 0x11;	//Start Zaehler0 und Festlegung extInt0 auf Flanke
	IP = 0x02;		//Prioritt Interrupt
	ET0 = 1;		//Interrupts freigeben Timer0
	EX0 = 1;
	EA = 1;
 }

void main (void)
	{

	setup();   //Interruptbits einstellen

	initlcd ();													
	loeschenlcd ();				
	textlcd ("UHRZEIT:",1);

																			
	while (1);
   {//nix zu tun, wird alle 50msec kurz unterbrochen von T0 ISR
   }
}

void timer(void) interrupt 1		//Programmbeginn an Adresse 000Bh
					//Dieser Programmteil wird alle 50msec aufgerufen bei 
{					//Ueberlauf von Timer0
	int count, sec, min, std;	
	// declare your variables here
	
	count++;   //alle 50msec erfolgt der Timer-int
	if (count==20)
	{
		sprintf (buf, "%d st %d min %d s", std, min, sec);
		//sprintf formatiert das array buf %d Formatierung dez Zahl Unterdrckung fuehrende null
		//ersetzt die Funktion seg7(sec, min, std);
//		textlcd (buf,2);  //Ausgabe an LC Display
 //   	seg7(sec, min, std);	//Funktion Seg7 aufrufen mit bergabewerte sec min std
		 sec++;   //sekunde um 1 erhhen
		count=0;
		if (sec==60)
		{
			sec=0;
			min++;
			if (min==60)
			{
				min=0;
				std++;
				if (std==60)
				{
					std=0;
				}
			}
		}
	}
	TL0 = 0xAF ;   //Timer0 vorladen mit 15535 dez
	TH0 = 0x3C;	   //0x3C

}
/*
//eigene funktion: teilt Variable sec, min, std in zehner einer und formatiert
//die Stellen in ein array mit ASCII-Zeichen
void seg7 (unsigned char dualzahl,unsigned char dualzahl1,unsigned char dualzahl2 )	
{									
 	zehner = dualzahl/10;		   //sec(dualzahl) zerlegen in 2Stellen
	dualzahl = dualzahl-(zehner*10);	//Von Dualzahl wird der volle Zehnerwert abgezogen
	einer = dualzahl;
										
	zehner1 = dualzahl1/10;		  //min(dualzahl1) zerlegen in 2Stellen
	dualzahl1 = dualzahl1-(zehner1*10);	//Von Dualzahl wird der volle Zehnerwert abgezogen
	einer1 = dualzahl1;
									
	zehner2 = dualzahl2/10;		   //std(dualzahl2) zerlegen in 2Stellen
	dualzahl2 = dualzahl2-(zehner2*10);	//Von Dualzahl wird der volle Zehnerwert abgezogen
	einer2 = dualzahl2;
//folgendes Array wird am LC Display ausgegeben
buf[0] = zehner2 +48;		 //Array buf beschreiben  48 ist in ASCII die 0  49 die 1 usw
buf[1] = einer2 +48;
buf[2] = 's';				 //'s' ASCII Wert s
buf[3] = 't';
buf[4] = 'd';
buf[5] = zehner1 +48;
buf[6] = einer1 +48;
buf[7] = 'm';
buf[8] = 'i';
buf[9] = 'n';
buf[10] = zehner +48;
buf[11] = einer +48;
buf[12] = 's';
buf[13] = 'e';
buf[14] = 'c';

buf[15] = '\0';   //Ende mit binaerer 0 zeigt das Ende des arrays an
					//das nennt man "Null terminierter String"
} 	  */