/* Reaktionsspiel.c ******Gewerbliche Schulen Offenburg***Neumaier**Apr2006****
 ******* Port0.0 bis 0.4 LEDs, betrieben als Lauflicht auf ab mit dem Tempo 10 Hz! 
 **Port 2: 7Seg Anzeige einstellig ->Jumper muss gesetzt sein, damit letzte Anzeige dauerhaft in Betrieb ist*****
***Zaehlwert der Treffer 0 bis 9 wird dargestellt an 7Seg Anzeige**
***Portpin1_7 zeigt Ende Trefferauswertung an*/
 			
#include <AT898252.H>		//	Registeradressen einbinden		

#define segmente P2
#define led_kette  P0
#define  led_ende P1_7
#define GlobaleINT_freigabe EA

/*	Bitkombinationen fr 7-Segment-Anzeigen (7-Segment-Code) Anzeige Gewerbl_Schulen_Offenburg */    			
unsigned char code seg7code[] = {0x3F,0x06,0x5B,0x4f,0x66,0x6D,0x7D,0x07,0x7F,0x6F}; // Festwerte als Array ablegen
unsigned char code LEDs[] = {0x01,0x02,0x04,0x08,0x10,0x08,0x04,0x02}; // Lauflicht auf - ab
			//unsigned char code -> code steht fr die Speicherung des Arrays im Programmspeicher C-Speicher

 
unsigned char x, Treffer;	//Zhlvar 0 - 255
void warte2msec(unsigned int anzahl);		//	Initialisierung Zeitschleife
void init(void)
{
  	segmente=0x3F;	//Anzeige 0 leuchtet sofort		
	P1=0;		//Ports auf 0 setzen
	led_kette=0;
	GlobaleINT_freigabe  = 1;  	//Alle Interrupt freigeben
  	EX0  = 1;  					//Ext Int0 Interrupt freigabe
  	IT0  = 1;   				//Ext Int0 bei negativer Flanke

}


/******** Hauptprogramm, Dauerhaftes Lauflicht****************/		                         
 void main ()
{
	 init();
	while (1)		// Endlosschleife 											
		{   
			for(x=0;x<=7;x++)
			{
			 led_kette = LEDs[x];		//Inhalte vom Array LEDs am Port0 ausgeben
			warte2msec(50);
			}
		}  //Ende while
}	   //Ende main
   
/************Interrupt Service Routine ExtInt0********************/
 void ExInt0(void) interrupt 0    //Externer Interrupt 0 Portpin 3.2
{                                    
	if (led_kette  == 0x04)
	{
	Treffer++;
	segmente=seg7code[Treffer];
	GlobaleINT_freigabe =1;
		if (Treffer ==9)
		{	GlobaleINT_freigabe=0;		//ExtInt0 sperren
			led_ende=1;  	//Portpin 1.7 setzen
		}
	}
}
/****************Ende Interrupt Service Routine ****************/  

